Creditors & Firms
List firms
Returns the service firms managed by the caller’s owner.
GET
/
v1
/
firms
List firms
curl --request GET \
--url https://api.slate.inc/accounts/v1/firms \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slate.inc/accounts/v1/firms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slate.inc/accounts/v1/firms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"firms": [
{
"firmId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": "<string>",
"firmCode": "<string>",
"name": "<string>",
"metadata": {
"region": "west",
"portfolio_tier": "gold"
}
}
],
"pagination": {
"totalCount": 123,
"previousCursor": "<string>",
"nextCursor": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Owner-scoped bearer token. The owner all requests are scoped to is derived from the token.
Query Parameters
The owner (organization) to scope the request to. Required; must be an owner your bearer token is authorized to read.
Available options:
name Sort direction.
Available options:
asc, desc Required range:
1 <= x <= 500Opaque cursor from a previous response's nextCursor/previousCursor.
⌘I
List firms
